ISECT_MERCATOR_ALIGNMENT_GFF(1)

NAME
isect_mercator_alignment_gff - Extracts subalignments from a Mercator multiple alignment for the features in the GFF file

SYNOPSIS
isect_mercator_alignment_gff [options] <genome> <GFF file>

DESCRIPTION
isect_mercator_alignment_gff from FSA 1.15.9

Extracts subalignments from a Mercator multiple alignment for the features in the GFF file.

OPTIONS

-h, --help
    show this message

-v, --version
    show version information

-t, --type <string>
    only look at features of particular type

-D, --data <directory>
    path to map, genome and alignment files

-M, --map <directory>
    path to map and genome files

-A, --align <directory>
    path to alignment files

-L, --lazy
    warn, rather than die, if the subalignment can't be obtained

-U, --truncate
    truncate unmappable sequence (rather than skipping) and show truncated subalignment

-s, --stockholm
    use and display Stockholm-format alignments with conservation statistics (default is multi-FASTA)

-e, --verbose
    report progress

PLEASE NOTE: While this program is reasonably fast if the GFF is properly ordered by chromosome and the start and end coordinates of features, it will be *very slow* if the GFF is not sorted. Assumes that the "seqid" or "name" field (the first field) of the GFF entries holds the chromosome name.

Note that the GFF specification defines coordinates to be 1-based and fully-closed, therefore representing the interval [start, end]. Conformance to this specification is assumed internally.

If requested, unmappable sequence will be truncated to the mappable portion; note that the truncation will favor the beginning of the requested sequence.

If a GFF feature is on the - strand, then the corresponding subalignment will be reverse-complemented.

AUTHOR
This manpage was written by Andreas Tille for the Debian distribution and can be used for any other usage of the program.